import DeviceInfo from "./d/DeviceInfo";
import UserInfo from "./d/UserInfo";
import m from "./g/h";
import AppInfo from "./d/p";
export default class NullAnalyticsInstance {
    constructor() {
        this.app_id = "null";
        this.sub_app_id = "null";
        this.identifier = "null";
        this.user = new UserInfo();
        this.deviceInfo = new DeviceInfo(null);
        this.appInfo = new AppInfo();
        this.l1 = true;
    }
    track(j7, k7, l7) {
        m.e('instance not initialized.');
        return null;
    }
    trackDetailed(d7, type, e7, f7, g7, h7, i7) {
        m.e('instance not initialized.');
        return null;
    }
    trackLog(c7) {
        m.e('instance not initialized.');
        return null;
    }
    trackError(b7) {
        m.e('instance not initialized.');
        return null;
    }
    time(event) {
        m.e('instance not initialized.');
    }
    eventElapsedTime(event) {
        m.e('instance not initialized.');
        return undefined;
    }
    clearTimedEvent(event) {
        m.e('instance not initialized.');
    }
    clearAllTimedEvent() {
        m.e('instance not initialized.');
    }
    trackPageViewBegin(pageId, z6, a7) {
        m.e('instance not initialized.');
    }
    trackPageViewEnd(pageId, x6, y6) {
        m.e('instance not initialized.');
    }
    setReservedField(w6) {
        m.e('instance not initialized.');
    }
    setBusinessInfo(v6) {
        m.e('instance not initialized.');
    }
}
